Subject: RE: on NAT-PT

From: "Karim El-Malki (EAB)" <[email-masked]>
Date: Tue, 21 Jan 2003 20:36:55 +0100

Hi Margaret

 > I don't understand why the IMS being "exclusively IPv6" 
 > would prevent two
 > IMS-capable UEs from opening IPv4 PDP contexts and 
 > connecting to each other
 > for non-IMS services.  I'm not even sure how you could 
 > prevent this, as
 > an IMS-capable UE has no real way of knowing whether the 
 > remote service
 > that it is trying to access is/isn't hosted on another 
 > IMS-capable UE.
 > 
 > It seems very likely that, regardless of the capabilities of 
 > the handset,
 > some folks will want to use IPv4-only devices behind the 
 > handset (IPv4-only
 > palm pilots, laptops, etc.) for some time.  Even after IPv6 
 > is available on
 > most laptops, palm pilots, etc. they may still need/want to 
 > run IPv4-only
 > applications.  I can't understand how it would be in the 
 > best interests of
 > 3GPP, IPv6 or anyone else to prevent two people who buy very high-end
 > IMS-capable phones from making an IPv4 connection between 
 > their two phones
 > to run an IPv4-only application...

You are correct, none of that is prevented.

> >- The user has to activate an IPv6 PDP context to access IMS and 
 > >registrate to the P-CSCF (i.e. registrate to the IMS SIP 
 > server) using an 
 > >IPv6 address.
 > 
 > Right, this is clear.  The IMS-capable UE will have to use 
 > IPv6 to access
 > SIP and other IMS services. 

Correct. Of course your "other IMS services" could be anything.
It could include web browsing for example (towards v4 or v6 sites).
That's because you want to allow someone using IMS to also be able
to run normal services on the same PDP Context. Opening another
PDP Context for this is not a solution which can be mandated
(more explaination below).

>  IMS connections to regular 
 > Internet SIP services
 > (which may be IPv4-only) will be done through a proxy.  So, 
 > the IPv6 <-> IPv4
 > conversion can also be handled by that proxy.

The SIP proxy can handle SIP translation. However there also needs to
be a translator to handle traffic (e.g. video streaming on UDP) translation.

 >  Are there 
 > other services that
 > are part of IMS that need to be proxied?

There are other services that can be run over an IMS PDP Context which would
require translation. If you open up an IPv6 PDP Context (IMS) you can only
talk IPv6. I think that's now clear to all. However you may want to run
other (non-SIP) v6 app.s on that same PDP Context without establishing another
PDP Context. You're allowed to do that. It's better to use the same PDP Context
because it takes longer to establish a 2nd PDP Context and it uses up more
network resources than necessary. Say that the user opens app.x which is not
widely used so that it doesn't make sense for the operator to deploy an app. proxy.
This won't be the mainstream case which is a good thing, but it is still to
be covered. In this case you have an IPv6 IMS PDP Context on which you run
IMS IPv6 SIP app.s and "other v6" app.s. For the "other v6" app.s which are
mainstream (e.g. http) you can use an app. proxy to talk to v4. However for the
remaining v6 app.s you would need a NAT-PT to talk to v4. It's only for a limited
amount of traffic, so it's not like the plan is to have millions of users sending
all their data through the NAT-PT. The bottom line is that IMS is IPv6-only but it
does not exclude other v6 applications. An IMS IPv6 PDP Context can carry IPv6 SIP
and IPv6 non-SIP traffic but no IPv4 traffic. Since you cannot send IPv4 traffic,
some of the IPv6 non-SIP traffic needs to go through a NAT-PT to talk to v4.
Hope it makes more sense although it's not easy to explain.

 > As far as handsets go, I think it is fine that they have to 
 > use IPv6 to
 > access IMS services, as those services are IPv6-only.  As 
 > long as they can
 > use IPv4 to access non-IMS services, I don't see where the 
 > need for NAT-PT
 > comes in. 

If I'm running e.g. web browsing over an IPv6 IMS PDP Context
(which has a good reason as mentioned above) my understanding is that you shouldn't
use IPv4. The reason is the good old "IMS is IPv6-only" story. So there would be
a need for some form of translation/app. proxying (dual-stack http proxy in this case).
Other services which are not mainstream like http would require a translator
such as a NAT-PT. You can also use a separate IPv4 PDP Context to access non-IMS
services such as web browsing, but if the user already has an active IMS IPv6
PDP Context we can't and shouldn't prevent this other scenario which has its
advantages as mentioned above.

Rgds
/Karim

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 23 Jan 2003 10:07:54 +0100 (CET)

> be a translator to handle traffic (e.g. video streaming on UDP) translation.

But as far as I understand this space (not very far at all)
the box that handle the media streams need to be instructed by the SIP proxy
for what mappings to create - it can't just be a plain old NAT-PT box.
Thus it starts looking more like an UDP proxy for the purposes of carrying
RTP which is controlled by the SIP proxy - not a NAT-PT which creates
state based on the packets that fly by.

  Erik